Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037601
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2018-01-09 08:052018-01-22 11:17
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revisiond0f17b56bf6e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037601: log in causes contention in other requests

DescriptionWhile OBContext is being initialized, that occurs during the back office log in process, any other request is not processed till it finishes.

Steps To Reproduce0. To simulate slowness in OBContext initialization, apply attached diff.
1. Log in back office
    -> Note in openbravo.log appears "waiting" for 20 secons
2. During those 20 seconds, in another browser try to perform any operation (such as loading login page)
    -> ERROR: it gets frozen until the login has completed.
TagsPerformance
Attached Filesdiff file icon slow-37601.diff [^] (955 bytes) 2018-01-09 08:10 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0101628)
hgbot (developer)
2018-01-09 08:21

Repository: erp/devel/pi
Changeset: d0f17b56bf6e9b28cfdd8fbe01777682b2846fbd
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Jan 08 18:25:25 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/d0f17b56bf6e9b28cfdd8fbe01777682b2846fbd [^]

fixed bug 37601: log in causes contention in other requests

  OBContext.setOBContext static method was synchronized, it was invoked from DAL
  request filter at the begining of every requests causing contention. This method
  is also invoked during the log in process to intialize OBContext, if initalization
  takes time, it can cause severe contention issues.

  Now the synchronization occurs at session level so that 2 paralell requests for
  the same session are synchronized but any other request from other sessions is
  not.

---
M src/org/openbravo/dal/core/OBContext.java
---
(0101801)
caristu (developer)
2018-01-19 14:45

Reviewed

- Issue History
Date Modified Username Field Change
2018-01-09 08:05 alostale New Issue
2018-01-09 08:05 alostale Assigned To => platform
2018-01-09 08:05 alostale Modules => Core
2018-01-09 08:05 alostale Triggers an Emergency Pack => No
2018-01-09 08:06 alostale Summary back office login causes contention in other requests => log in causes contention in other requests
2018-01-09 08:10 alostale File Added: slow-37601.diff
2018-01-09 08:12 alostale Tag Attached: Performance
2018-01-09 08:12 alostale Review Assigned To => caristu
2018-01-09 08:12 alostale Assigned To platform => alostale
2018-01-09 08:21 hgbot Checkin
2018-01-09 08:21 hgbot Note Added: 0101628
2018-01-09 08:21 hgbot Status new => resolved
2018-01-09 08:21 hgbot Resolution open => fixed
2018-01-09 08:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d0f17b56bf6e9b28cfdd8fbe01777682b2846fbd [^]
2018-01-19 14:45 caristu Note Added: 0101801
2018-01-19 14:45 caristu Status resolved => closed
2018-01-19 14:45 caristu Fixed in Version => 3.0PR18Q1
2018-01-22 11:17 caristu Fixed in Version 3.0PR18Q1 => 3.0PR18Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker